<script>
  export let error
  export let className = ''
</script>

<p
  class={`text-gray-900 bg-red-200 border-2 border-red-500 rounded px-4 py-3 ${className}`}
>
  <slot>
    {#if error === 'network_error'}
      Hubo un problema conectandose a nuestros servidores. Recordá que no se
      pueden crear, editar o borrar cosas en modo Sin Internet. También es
      posible que haya un problema con nuestros servidores. Probá más tarde.
    {:else if error === 'not_in_group'}
      No estás en este grupo.
      <a class="link" href="#/groups">Volver atrás</a>
    {:else if error === 'internal_error'}
      Hubo un error interno del servidor. Probá más tarde.
    {:else}{error} {console.error('uncaught <Error>:', error) || ''}{/if}
  </slot>
</p>
